ALLEN INSTITUTE

# bmtk.simulator.bionet.default_setters package

## Submodules

## bmtk.simulator.bionet.default_setters.cell_models module

bmtk.simulator.bionet.default_setters.cell_models.Biophys1(cell, template_name, dynamic_params)

  Loads a biophysical NEURON hoc object using Cell-Types database objects.

bmtk.simulator.bionet.default_setters.cell_models.Biophys1_dict(cell)

  Set parameters for cells from the Allen Cell Types database Prior to setting parameters will replace the axon with the stub

bmtk.simulator.bionet.default_setters.cell_models.Biophys1_nml(json_file)

bmtk.simulator.bionet.default_setters.cell_models.IntFire1(cell, template_name, dynamics_params)

  Loads a point integrate and fire neuron

bmtk.simulator.bionet.default_setters.cell_models.NMLLoad(cell, template_name, dynamic_params)

  Convert a NEUROML file to a NEURON hoc cell object.

  Current limitations: * Ignores nml morphology section. You must pass in a swc file * Only for biophysically detailed cell biophysical components. All properties must be assigned to a segment group.

  Parameters:

    - cell

    - template_name

    - dynamic_params

  Returns:

bmtk.simulator.bionet.default_setters.cell_models.aibs_allactive(hobj, cell, dynamics_params)

bmtk.simulator.bionet.default_setters.cell_models.aibs_allactive_directed(hobj, cell, dynamics_params)

bmtk.simulator.bionet.default_setters.cell_models.aibs_perisomatic(hobj, cell, dynamics_params)

bmtk.simulator.bionet.default_setters.cell_models.aibs_perisomatic_directed(hobj, cell, dynamics_params)

bmtk.simulator.bionet.default_setters.cell_models.fix_axon_allactive(hobj)

  Replace reconstructed axon with a stub

  Parameters:
    hobj: instance of a Biophysical template

      NEURON’s cell object

bmtk.simulator.bionet.default_setters.cell_models.fix_axon_allactive_directed(hobj)

bmtk.simulator.bionet.default_setters.cell_models.fix_axon_peri(hobj)

  Replace reconstructed axon with a stub

  Parameters:

    hobj – hoc object

bmtk.simulator.bionet.default_setters.cell_models.fix_axon_perisomatic_directed(hobj)

bmtk.simulator.bionet.default_setters.cell_models.get_axon_direction(hobj)

bmtk.simulator.bionet.default_setters.cell_models.loadHOC(cell, template_name, dynamics_params)

  A Generic function for creating a cell object from a NEURON HOC Template (eg. a *.hoc file with begintemplate template_name in header). It essentially tries to guess the correct parameters that need to be called so may not work the majority of the times and require to be overloaded.

  Parameters:

    - cell – A SONATA node object, can be used as a dict to get individual properties of current cell.

    - template_name – name of HOCTemplate as stored in “model_template” attribute (hoc:<template_name>).

    - dynamics_params – Dictionary containing contents of cell[‘dynamics_params’] as loaded from a json file or hdf5. If cell does not have “dynamics_params” attributes then will be set to None.

bmtk.simulator.bionet.default_setters.cell_models.set_extracellular(hobj, cell, dynamics_params)

bmtk.simulator.bionet.default_setters.cell_models.set_params_allactive(hobj, params_dict)

bmtk.simulator.bionet.default_setters.cell_models.set_params_peri(hobj, biophys_params)

  Set biophysical parameters for the cell

  Parameters:

    - hobj – NEURON’s cell object

    - biophys_params – name of json file with biophys params for cell’s model which determine spiking behavior

  Returns:

## bmtk.simulator.bionet.default_setters.synapse_models module

bmtk.simulator.bionet.default_setters.synapse_models.Exp2Syn(syn_params, sec_x, sec_id)

  Create a list of exp2syn synapses

  Parameters:

    - syn_params – parameters of a synapse

    - sec_x – normalized distance along the section

    - sec_id – target section

  Returns:

    NEURON synapse object

bmtk.simulator.bionet.default_setters.synapse_models.exp1isyn(syn_params, xs, secs)

bmtk.simulator.bionet.default_setters.synapse_models.exp1syn(syn_params, xs, secs)

bmtk.simulator.bionet.default_setters.synapse_models.exp2syn(syn_params, xs, secs)

  Create a list of exp2syn synapses

  Parameters:

    - syn_params – parameters of a synapse

    - xs – list of normalized distances along the section

    - secs – target sections

  Returns:

    list of NEURON synpase objects

bmtk.simulator.bionet.default_setters.synapse_models.expsyn(syn_params, x, sec)

  Create a list of expsyn synapses

  Parameters:

    - syn_params – parameters of a synapse (dict)

    - x – normalized distance along the section (float)

    - sec – target section (hoc object)

  Returns:

    synapse objects

bmtk.simulator.bionet.default_setters.synapse_models.stp1syn(syn_params, xs, secs)

bmtk.simulator.bionet.default_setters.synapse_models.stp2syn(syn_params, x, sec)

bmtk.simulator.bionet.default_setters.synapse_models.stp3syn(syn_params, xs, secs)

bmtk.simulator.bionet.default_setters.synapse_models.stp4syn(syn_params, xs, secs)

bmtk.simulator.bionet.default_setters.synapse_models.stp5isyn(syn_params, xs, secs)

bmtk.simulator.bionet.default_setters.synapse_models.stp5syn(syn_params, x, sec)

bmtk.simulator.bionet.default_setters.synapse_models.tmgsyn(syn_params, xs, secs)

## bmtk.simulator.bionet.default_setters.synaptic_weights module

bmtk.simulator.bionet.default_setters.synaptic_weights.default_weight_fnc(edge_props, src_props, trg_props)

bmtk.simulator.bionet.default_setters.synaptic_weights.gaussianLL(edge_props, src_props, trg_props)

bmtk.simulator.bionet.default_setters.synaptic_weights.wmax(edge_props, src_props, trg_props)

## Module contents